Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 394399 - x11-drivers/nvidia-drivers-290.10 stabilization request
Summary: x11-drivers/nvidia-drivers-290.10 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 394393
  Show dependency tree
 
Reported: 2011-12-12 00:26 UTC by Chí-Thanh Christopher Nguyễn
Modified: 2011-12-31 19:19 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chí-Thanh Christopher Nguyễn gentoo-dev 2011-12-12 00:26:30 UTC
The most recent stable version of nvidia-drivers does not work properly with xorg-server-1.11, which is planned to go stable.

If you agree to have x11-drivers/nvidia-drivers-290.10 stable, please CC: arch teams and make this bug block bug 394393.
Comment 1 Agostino Sarubbo gentoo-dev 2011-12-16 08:47:54 UTC
works for me, amd64 stable
Comment 2 jospezial 2011-12-16 23:52:30 UTC
combined with xorg-server-1.11.2-r2 no problems nvidia related until now.
x86 (P3) works for me.
amd64 too.
Happy!
Comment 3 Robert Cabrera 2011-12-20 11:57:57 UTC
I'm chiming in that nvidia-drivers-290.10 NOT BE STABILIZED, due to Bug 389686 which this driver is also affected by.

This bug is a show stopper as it affects anyone with an Nvidia laptop with a Geforce 7 or older GPU. This bug causes the internal laptop display to not be detected and can not be made to function, however an externally connected one runs fine. It is a  known problem upstream with several bug reports there as well as several threads about it on the Nvidia forums and other Linux related hardware sites.

I refer to this thread at the Nvidia forums http://www.nvnews.net/vbulletin/showthread.php?p=2505103#post2505103

This bug report at Nvidia http://www.nvnews.net/vbulletin/attachment.php?attachmentid=43458&d=1322170245 

and this at the Debian forums http://forums.debian.net/viewtopic.php?f=6&t=72931

as well as this one http://forums.debian.net/viewtopic.php?f=30&t=72346

As you can see, stabilizing on this driver now would be a mistake. A better thing would be to wait until the fixed one mentioned by Plagman (the Nvidia representative) in the above linked thread, is released.

TIA
Comment 4 Markus Meier gentoo-dev 2011-12-26 14:44:49 UTC
x86 stable, all arches done.
Comment 5 Pacho Ramos gentoo-dev 2011-12-27 11:08:00 UTC
(In reply to comment #3)
> I'm chiming in that nvidia-drivers-290.10 NOT BE STABILIZED, due to Bug 389686
> which this driver is also affected by.
> 
> This bug is a show stopper as it affects anyone with an Nvidia laptop with a
> Geforce 7 or older GPU. This bug causes the internal laptop display to not be
> detected and can not be made to function, however an externally connected one
> runs fine. It is a  known problem upstream with several bug reports there as
> well as several threads about it on the Nvidia forums and other Linux related
> hardware sites.
> 
> I refer to this thread at the Nvidia forums
> http://www.nvnews.net/vbulletin/showthread.php?p=2505103#post2505103
> 
> This bug report at Nvidia
> http://www.nvnews.net/vbulletin/attachment.php?attachmentid=43458&d=1322170245 
> 
> and this at the Debian forums
> http://forums.debian.net/viewtopic.php?f=6&t=72931
> 
> as well as this one http://forums.debian.net/viewtopic.php?f=30&t=72346
> 
> As you can see, stabilizing on this driver now would be a mistake. A better
> thing would be to wait until the fixed one mentioned by Plagman (the Nvidia
> representative) in the above linked thread, is released.
> 
> TIA

I am also affected by this and is really sad how this problem has been handled even when nvidia has already fixed the problem and we simply need to wait for the next version.

I am not asking to delay xorg-server-1.11 stabilization only for this (even if I am a bit tired of seen how every xorg-1.1x update breaks external drivers), but at least a warning should be added to the ebuild to ask people running NVIDIA 7xxx cards to downgrade instead of simply breaking their setups.